XmVaCreateComboBox(library call)

NAME
XmVaCreateComboBox, XmVaCreateManagedComboBox — A ComboBox widget convenience creation functions.

SYNOPSIS

#include <Xm/ComboBox.h>

Widget XmVaCreateComboBox(
Widget parent,
String name,
...);

Widget XmVaCreateManagedComboBox(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ComboBox widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateComboBox function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedComboBox function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of ComboBox and its associated resources, see XmComboBox(3).

RETURN

Returns the ComboBox widget ID.

RELATED

XmComboBox(3), XmCreateComboBox(3), XtCreateWidget(3), and XtCreateManagedWidget(3).